//*****************************************************************************
// Description     : Definitions depends on the user environment
// Target Device   : APU101
// Target Platform : Windows, .NET Framework, C++
// Date            : July 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __LOCAL_DEFINE_H__
#define __LOCAL_DEFINE_H__

//
// Modify the following defines according to your environment
//
#define SAVE_FILENAME          "hist_data.csv"  // Name of the file where data saved
#define MEASUREMENT_TIME                (3000)  // Measurement time (msec)

#define CH_CMD_INTERVAL                    (3)  // Wait time between CH specific commands (msec)

#define DEVICE_PORT_CTRL_OWNPC         (50000)  // Source port number for command

#define DEVICE_IPADDR         "192.168.10.128"  // IP address of target device
#define DEVICE_PORT_CTRL_DEVICE         (4660)  // Destination port number for command
#define DEVICE_PORT_DATARECV              (24)  // Port number for data reception


#endif // __LOCAL_DEFINE_H__
